<xml> </xml>

db4o |

# ObjectClass.updateDepth Method

specifies the updateDepth for this class.

void updateDepth(
int depth
);

#### Parameters

depth
  the depth of the desired update for this class.

#### Remarks

specifies the updateDepth for this class.
see the documentation of set for further details.
The default setting is 0: Only the object passed to com.db4o.ObjectContainer.set will be updated.

#### See Also

ObjectClass Interface | com.db4o.config Namespace | updateDepth | cascadeOnUpdate | cascadeOnUpdate | Using callbacks